import { Fragment, useCallback, useState } from 'react';
import GanttView from './GanttView';

const BryntumContainer =  props => {
    const {
        startDate = new Date(),
        viewPreset  = 'weekAndDayLetter',
        ganttRef
    } = props;

const [selectedProject, setSelectedProject] = useState(null);
const onSelectProject = useCallback((data) => {
    	setSelectedProject(()=>data);
},[]);

return (<Fragment>
        <GanttView
            ganttRef= {ganttRef}
            startDate={startDate}
            viewPreset = {viewPreset}                
            onSelectProject = {onSelectProject}
        />
     </Fragment>);
}
export default BryntumContainer;
